%global pypi_name cotyledon

Summary:        Cotyledon provides a framework for defining long-running services
Name:           python-%{pypi_name}
Version:        1.7.3
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://cotyledon.readthedocs.io
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%package -n python3-%{pypi_name}
Summary:        Cotyledon provides a framework for defining long-running services
BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm python3-pbr python3-setproctitle
Requires:  python3-setproctitle

%description -n python3-%{pypi_name}
Cotyledon provides a framework for defining long-running services.

%package -n python3-%{pypi_name}-tests
Summary:    Tests for %{name}
Requires:   python3-%{pypi_name} = %{version}-%{release}
Requires:   python3-oslotest python3-testrepository python3-testscenarios python3-testtools

%description -n python3-%{pypi_name}-tests
Cotyledon provides a framework for defining long-running services.

This package contains test files

%description
Cotyledon provides a framework for defining long-running services.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -f {,test-}requirements.txt

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test ||:
rm -rf .testrepository

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-tests
%license LICENSE
%{python3_sitelib}/%{pypi_name}/tests

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 1.7.3-1
- initial build
